using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;

namespace Service.Implement
{
    public class AppRoomManager : GenericManagerBase<AppRoom>, IAppRoomManager
	{
        public IList<AppRoom> LoadAllByPage(out long total, int page, int rows, string order, string sort)
		{ 
            return ((Dao.IAppRoomRepository)(this.CurrentRepository)).LoadAllByPage(out total, page, rows, order, sort).ToList();
		}

        public bool isExistMac(string mac)
        {
            return ((Dao.IAppRoomRepository)(this.CurrentRepository)).isExistMac(mac);
        }

        public AppRoom GetRoomNumber(string mac)
        {
            return ((Dao.IAppRoomRepository)(this.CurrentRepository)).GetRoomNumber(mac);
        }
       
	}
}
